---
apiVersion: secrets.hashicorp.com/v1beta1
kind: VaultStaticSecret
metadata:
  name: test-vault-operator
  namespace: default
spec:
  type: kv-v2
  mount: "{{ vault_test_mount }}"
  path: "{{ vault_test_path }}"
  refreshAfter: 10s
  vaultAuthRef: "{{ vault_test_auth_ref }}"
  destination:
    create: true
    name: test-vault-operator
    overwrite: true
    transformation:
      excludeRaw: true
      excludes:
        - .*csi.*
        - .*injector.*
---
apiVersion: secrets.hashicorp.com/v1beta1
kind: VaultStaticSecret
metadata:
  name: test-vault-operator-transform
  namespace: default
spec:
  type: kv-v2
  mount: "{{ vault_test_mount }}"
  path: "{{ vault_test_path }}"
  refreshAfter: 10s
  vaultAuthRef: "{{ vault_test_auth_ref }}"
  destination:
    create: true
    name: test-vault-operator-transform
    overwrite: true
    transformation:
      excludeRaw: true
      excludes:
        - .*csi.*
      templates:
        transformed:
          text: transform
---
kind: Pod
apiVersion: v1
metadata:
  name: test-vault-operator
  namespace: default
spec:
  restartPolicy: OnFailure
  containers:
    - name: test
      image: alpine
      command:
        - sh
        - -c
      args:
        - |
          set -e
          ls /mnt/secrets | wc -l | grep "3"
          echo $TEST | grep "ok"
          echo $TRANSFORM_TEST | grep "transform"
      env:
        - name: TEST
          valueFrom:
            secretKeyRef:
              name: test-vault-operator
              key: operator
        - name: TRANSFORM_TEST
          valueFrom:
            secretKeyRef:
              name: test-vault-operator-transform
              key: transformed
      volumeMounts:
        - name: test-vault-operator-transform
          mountPath: "/mnt/secrets"
          readOnly: true
  volumes:
    - name: test-vault-operator-transform
      secret:
        secretName: test-vault-operator-transform
